## org.opengis.referencing.operation
Interface SingleOperation

All Superinterfaces:
  CoordinateOperation, IdentifiedObject

All Known Subinterfaces:
  ConicProjection, Conversion, CylindricalProjection, Operation, PassThroughOperation, PlanarProjection, Projection, Transformation

    @UML(identifier="CC_SingleOperation",
         specification=ISO_19111)
    public interface SingleOperation

extends CoordinateOperation

A single (not concatenated) coordinate operation.

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0

Field Summary

Fields inherited from interface CoordinateOperation
`COORDINATE_OPERATION_ACCURACY_KEY, DOMAIN_OF_VALIDITY_KEY, OPERATION_VERSION_KEY, POSITIONAL_ACCURACY_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary

Methods inherited from interface CoordinateOperation
`getCoordinateOperationAccuracy, getDomainOfValidity, getMathTransform, getOperationVersion, getPositionalAccuracy, getScope, getSourceCRS, getTargetCRS, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.